Import-Module ActiveDirectory

# Definisci la scadenza account (in questo caso filtro gli account che scadranno entro il 31/12 dell'anno in corso)
$oggi = Get-Date
$fineAnno = Get-Date -Year $oggi.Year -Month 12 -Day 31

$utenti = Get-ADUser -Filter {Enabled -eq $true} -Property SamAccountName, DisplayName, AccountExpirationDate |
          Where-Object { $_.AccountExpirationDate -and $_.AccountExpirationDate -le $fineAnno }
$utenti | Select-Object SamAccountName, DisplayName, AccountExpirationDate | Format-Table -AutoSize